import 'package:domain/entity/id_name_entity.dart';
import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/feedback_detail_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/feedback_detail_entity.g.dart';

@JsonSerializable()
class FeedbackDetailEntity {
	String? id;
	String? title;
	String? content;
	List<String>? resources = [];
	int status = 0;
	@JSONField(name: "created_at")
	String? createdAt;
	IdNameEntity? category;
	List<FeedbackDetailReplies>? replies = [];

	FeedbackDetailEntity();

	factory FeedbackDetailEntity.fromJson(Map<String, dynamic> json) => $FeedbackDetailEntityFromJson(json);

	Map<String, dynamic> toJson() => $FeedbackDetailEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}


@JsonSerializable()
class FeedbackDetailReplies {
	String? id;
	String? content;
	List<String>? resources = [];
	@JSONField(name: "created_at")
	String? createdAt;
	IdNameEntity? accountable;

	FeedbackDetailReplies();

	factory FeedbackDetailReplies.fromJson(Map<String, dynamic> json) => $FeedbackDetailRepliesFromJson(json);

	Map<String, dynamic> toJson() => $FeedbackDetailRepliesToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}
